% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/feature_names.R
\name{feature_names}
\alias{feature_names}
\alias{feature_names,ProjectProblem-method}
\title{Feature names}
\usage{
feature_names(x)

\S4method{feature_names}{ProjectProblem}(x)
}
\arguments{
\item{x}{\code{\link{ProjectProblem-class}}.}
}
\value{
\code{character} feature names.
}
\description{
Extract the names of the features in an object.
}
\examples{
# load data
data(sim_projects, sim_features, sim_actions)

# build problem with default solver
p <- problem(sim_projects, sim_actions, sim_features,
             "name", "success", "name", "cost", "name") \%>\%
     add_max_richness_objective(budget = 200) \%>\%
     add_binary_decisions() \%>\%
     add_default_solver()

# print problem
print(p)

# print feature names
feature_names(p)
}
